classdef GpioMode < uint32
  % GpioMode
  %   Which configuration the gpio is in
  %

  enumeration
    DISABLED (0) % GPIO Pin is not in use, can be used by other applications on camera
    HW_TRIGGER_IN (1) % Start sensor using trigger in
    HW_TRIGGER_OUT (2) % Send pulse whenever sensor is started
    GENERAL_INPUT (3) % Allow to read GPIO using the live camera
    GENERAL_OUTPUT (4) % Allow to read/set GPIO using the live camera
  end
end
