import chronoptics.tof as tof
import time

camera = tof.TuiCamera("3030003")

camera.setTriggerMode(tof.TriggerMode.SOFTWARE)
camera.setOutputFrameTypes([tof.FrameType.XYZ_BGR_I])
camera.start()

# Wait for the first frame to come through
while not camera.hasFrames():
    camera.softwareTrigger()

# Make sure there are no more triggered frames
time.sleep(0.5)
camera.clearBuffer()

start = time.time()

nr_of_triggers = 100
for i in range(nr_of_triggers):
    print(i)

    camera.softwareTrigger()
    camera.getFrames()

end = time.time()

total_time = end - start
time_per_trigger = total_time / 100

print(f"Latency {time_per_trigger * 1000:.0f}ms")

camera.setTriggerMode(tof.TriggerMode.CONTINUOUS)
