# ToF Ros node

This is a node wrapper around the tof library and kea camera class showing off some of the advanced features of the tof library for optimal performance. The camera starts streaming as soon as one of it's publishers is subscribed to. 

The node accepts the following private parameters
- serial: (string) The serial of the camera you want to connect to. Default empty
- log: (bool) Whether to output log messages from the tof library. Default true
- queue_size: (int) The amount of user pointers to queue up. Default 10

The node has been tested with ros 2 humble in a docker container

## Normal

Copy the folder this readme is in into your ros workspace.

    cp -R examples/ros ~/ros_ws/src/kea_camera

Build like usual:

    colcon build 

Source the setup.bash

    source install/setup.bash

Run the ros node

    ros2 run kea_camera kea_camera_node

## Docker

To build image:

    docker build -t ros-tof .

To run image:

    docker run -it --name ros-develop --network=host -v $(pwd):/workspace/src/kea_camera/ ros-tof

Afterwards you can follow the normal instructions starting from build like usual.
